FAUHDLC(1)

NAME
fauhdlc - Compile VHDL files to intermediate code.

SYNOPSIS

fauhdlc [flags] [ --output filename ] [ --c-output filename ] [ --lib library [ vhdl-file ]...] { vhdl-file ...}

DESCRIPTION

fauhdlc is a VHDL compiler, that will output intermediate code or C-code. It supports a subset of the VHDL 2000 standard.

OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Show summary of options.

-o, --output output-file
    Output intermediate code into output-file.

-l, --lib library-name
    Put the following VHDL-files into the library with name library-name. If no --lib is present, all files will be put into the library "work".

-f, --freestanding
    Do not preload any library except std.vhdl. By default, fauhdlc will preload common libraries (currently only std_logic_1164) in the appropriate library namespace. The --freestanding prevents this behaviour, for example if you want to override the implementation of such a library.

-Werror
    Treat warnings as errors.

-p, --parse-only
    Stop with compilation after parsing the source file(s). Mainly useful for debugging the compiler.

-d, --dot-parse dot-file
    Output the raw syntax tree into dot-file, which can be used with the GraphViz tools.

-c, --dot-const dot-file
    Output the syntax tree that exists after performing constant folding into dot-file, which can be used with the GraphViz tools.

-C, --c-output c-file
    Generate output as a C file c-file, that can be compiled with a C-compiler, e.g. gcc. This option is yet experimental.

SEE ALSO

fauhdli(1)

CONTACT

Please report all bugs to FAUmachine Team <info@faumachine.org>. FAUmachine/fauhdlc Homepage[1].

AUTHOR

FAUmachine Team

COPYRIGHT
Copyright © 2009-2010 FAUmachine Team. Developed at Friedrich Alexander University Erlangen-Nuremberg.

FAUhdlc comes with ABSOLUTELY NO WARRANTY. FAUhdlc is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. See COPYING for details.

NOTES

1.  FAUmachine/fauhdlc Homepage
    http://www.faumachine.org